Logo
OpenScaler

Close a Recovery Console

Closes a VPC console session given VM ID,

NOTES:

  • if VM has no open recovery console, this call will fail.
  • for security reasons, console may time out and close automatically if user doesn't use it interact with it for some time, in this case, simply open a new one (client won't lose their changes on the screen).
DELETE
/v1/vms/{vm_id}/console

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

vm_idRequiredstring

A unique identifier for a VM instance.

curl -X DELETE "https://api.alpha.openscaler.net/v1/vms/23/console" \
  -H "Authorization: Bearer <token>"

VNC console closed